@use "../mixins";

.stats {
  display: grid;
  grid-template-columns: max-content;
  row-gap: 3vw;
  place-content: center;

  @include mixins.respond-to-small-screen {
    grid-template-columns: repeat(3, min-content);
    grid-template-rows: repeat(2, auto);
    place-content: unset;
    justify-content: space-between;
    row-gap: 5.5vw;
  }

  &__item {
    display: flex;
    align-items: center;
    gap: 1vw;

    &::before {
      content: "";
      width: 3.4rem;
      height: 3.4rem;
      background-size: contain;
      background-repeat: no-repeat;

      @include mixins.respond-to-small-screen {
        width: 1.7rem;
        height: 1.7rem;
      }
    }

    &--dining {
      @include mixins.respond-to-small-screen {
        grid-column: 1 / -1;
      }
    }

    &--dining::before {
      background-image: url("assets/img/dining.svg");
    }

    &--clock::before {
      background-image: url("assets/img/clock.svg");
    }
  }

  &__field {
    display: grid;
    grid-template-columns: max-content;
    row-gap: 0.4rem;
    font-family: var(--font-body);
    line-height: 1.2;

    @include mixins.respond-to-small-screen {
      row-gap: 0;
    }
  }

  &__field-name {
    font-size: 1rem;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--color-gray);

    @include mixins.respond-to-small-screen {
      font-size: 0.8rem;
    }
  }

  &__field-value {
    font-size: 1.4rem;
    font-weight: 500;

    @include mixins.respond-to-small-screen {
      font-size: 1rem;
    }
  }
}
